| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class DeclId

    java.lang.Object
      |
      +--DeclId

public class DeclId
extends java.lang.Object

Field Summary
`boolean` | `hamaDebug`
`Modifiers` | `modifiers`
`java.lang.String` | `name`
`de.dhbwstuttgart.typeinference.Menge` | `paratyp`
`private ExprStmt` | `wert`

Constructor Summary
`DeclId()`
`DeclId(java.lang.String name)`

Method Summary
`void` | `codegen_InstVarDecl(ClassFile classfile, Type type, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `codegen_LocalVarDecl(ClassFile classfile, CodeAttribute code, Type type, de.dhbwstuttgart.typeinference.Menge paralist)`
`short` | `get_access_flags()`
`Modifiers` | `get_Modifiers()`
`java.lang.String` | `get_Name()`
`de.dhbwstuttgart.typeinference.Menge` | `get_Paratyp()`
`ExprStmt` | `get_Wert()`
`void` | `set_ListType(Type t)`
`void` | `set_Modifiers(Modifiers mod)`
`void` | `set_Name(java.lang.String name)`
`void` | `set_Paratyp(de.dhbwstuttgart.typeinference.Menge p)`
`void` | `set_Wert(ExprStmt w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hamaDebug

    public boolean hamaDebug

### modifiers

    public Modifiers modifiers

### name

    public java.lang.String name

### wert

    private ExprStmt wert

### paratyp

    public de.dhbwstuttgart.typeinference.Menge paratyp

Constructor Detail

### DeclId

    public DeclId()

### DeclId

    public DeclId(java.lang.String name)

Method Detail

### set_Paratyp

    public void set_Paratyp(de.dhbwstuttgart.typeinference.Menge p)

### get_Paratyp

    public de.dhbwstuttgart.typeinference.Menge get_Paratyp()

### set_Name

    public void set_Name(java.lang.String name)

### set_Wert

    public void set_Wert(ExprStmt w)

### get_Name

    public java.lang.String get_Name()

### get_Wert

    public ExprStmt get_Wert()

### set_Modifiers

    public void set_Modifiers(Modifiers mod)

### get_Modifiers

    public Modifiers get_Modifiers()

### get_access_flags

    public short get_access_flags()

### set_ListType

    public void set_ListType(Type t)

### codegen_InstVarDecl

    public void codegen_InstVarDecl(ClassFile classfile,
                                    Type type,
                                    de.dhbwstuttgart.typeinference.Menge paralist)
                             throws JVMCodeException

    `JVMCodeException`

### codegen_LocalVarDecl

    public void codegen_LocalVarDecl(ClassFile classfile,
                                     CodeAttribute code,
                                     Type type,
                                     de.dhbwstuttgart.typeinference.Menge paralist)
                              throws JVMCodeException

    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD